[FFmpeg-devel] [PATCH] --enable-libx264 and --enable-libxvid depend on --enable-pthread

Chris Hills chaz
Sat Feb 28 19:46:34 CET 2009

Aurelien Jacobs wrote:
> AFAIR, this is only a problem when libx264 is compiled statically
> (which is the default) because static libs unfortunately don't embed
> a list of their dependencies (unlike shared libs), and because our
> beloved configure maintainers hate pkg-config and refuse to use it
> to compensate static libs limitations...

For those interested, attached is the patch I use for compiling ffmpeg 
with x264 using pkg-config.

Git repo used is git://git.mplayerhq.hu/ffmpeg/.
-------------- next part --------------
An embedded and charset-unspecified text was scrubbed...
Name: ffmpeg-pkgconfig.diff
URL: <http://lists.mplayerhq.hu/pipermail/ffmpeg-devel/attachments/20090228/e8cc3d37/attachment.txt>

More information about the ffmpeg-devel mailing list